### Signal

# Soup ServerMessage::wrote-body-data

since: 3.0

#### Declaration

    void
    wrote_body_data (
      SoupServerMessage* self,
      guint chunk_size,
      gpointer user_data
    )

#### Description [src]

Emitted immediately after writing a portion of the message body to the network.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 3.0

#### Parameters

`chunk_size`

  Type: `guint`

  The number of bytes written.